﻿using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace Post7682.ViewModel
{
    public class MapViewModel
    {
        public Map Map { get; set; }

        public MapViewModel()
        {
            Map = new Map();
            Map.Width = 800d;
            Map.Height = 600d;
            Map.MapUnit = GeographyUnit.DecimalDegree;
            Map.Loaded += (sender, e) =>
            {
                WorldMapKitWmsSilverlightOverlay overlay = new WorldMapKitWmsSilverlightOverlay();
                Map.Overlays.Add(overlay);
                Map.CurrentExtent = new RectangleShape(-131.22, 55.05, -54.03, 16.91);
            };
        }
    }
}
